Start Envelope Signature
Initiates the signing process for an envelope, and upon successful initiation, it provides a signing URL that the recipient can use to access the document for signing.
Start Envelope Signature API
POST {environment_url}/core/external-api/rest/v1/envelope/{envelope_id}/start-signature
Headers
Content-Type*
String
application/json
Authorization*
String
Bearer Access Token Get the access token by calling the
Authentication API
Path Parameters
envelope_id*
UUID
The envelope ID from Create Envelope API
Response Body
Start Signature process initiated successfully
HTTP Status Code: 200
Status : SUCCESS
Bad Request - envelope in completed state
The envelope is already in signed or completed state.
HTTP Status Code: 400
Status : ERROR
Forbidden - Disbaled Direct Sign Feature
The Direct Sign 'send' endpoint is not available for use.
HTTP Status Code: 403
Status : ERROR
Forbidden
Incase when Envelope authorization is forbidden.
HTTP Status Code: 403
Status : ERROR
Forbidden - Disbale Direct Sign Feature
You cannot use direct sign send endpoint
HTTP Status Code: 403
Status : ERROR
Get Envelope Signature Links
GET /core/external-api/rest/v1/envelope/{envelope_id}/signature-links
Path Parameters
envelope_id*
UUID
The envelope Id.
Headers
Content-Type*
String
*/*
Authorization*
String
Bearer Access Token
Response Body
Signature link requested successfully
HTTP Status Code: 200
Status : SUCCESS
Bad Request - envelope does not exist
The requested envelope does not exist.
HTTP Status Code: 400
Status : ERROR
Forbidden
Incase when Envelope authorization is forbidden.
HTTP Status Code: 403
Status : ERROR
Last updated
